<!-- niByLog.archiwum.tabela plugin -->
<?php
// niByLog.Archiwum.Tabla plugin 1.2.0 (c) MiMaS 2002-2003

/***config*start*****************************/
// mozna zmieniac ustawienia od tej linii az do ***config*end***

// sciezka do strony bloga
$blog_url = $niByLog_dir.$config["cfg_blog_url"];

// czasami przy bardziej skomplikowanej strukturze URLi na blogu konieczna jest
// inna wartosc;
// podany tu adres powinien umozliwiac obsluzenie parametru ?miesiac=...
// np.  $blog_url = '/blog/index.php';

// grubosc linii tabeli (w pikselach)
$table_border  = 1;

// przykladowe style inline dla schematu szarawego
$styl_td_ramka     = 'style="background: #AAAAAA;"';
$styl_td_header    = 'style="background-color: #EEEEEE; font-family: Verdana, Arial; font-size: 10pt;"';
$styl_td_normal    = 'style="background-color: #FFFFFF; font-family: Verdana, Arial; font-size: 10pt;"';
$styl_td_licznik   = 'style="background-color: #FFFFFF; font-family: Verdana, Arial; font-size: 8pt;"';
$styl_a            = 'style="font-family: Verdana, Arial; font-size: 10pt; text-decoration: none; border-bottom: 0px;"';
$styl_div_info     = 'style="color: #AAAAAA; font-family: Verdana, Arial; font-size: 8pt;"';

// style moga tez byc okreslone przez klasy, ktore naley zdefiniowac w css strony bloga
/* np.
$styl_td_ramka     = 'class="archiwtabramka"';
$styl_td_header    = 'class="archiwtabheader"';
$styl_td_normal    = 'class="archiwtabnormal"';
$styl_td_licznik   = 'class="archiwtablicznik"';
$styl_div_info     = 'class="archiwtabinfo"';
$styl_a            = 'class="archiwtaba"';
*/

/***config*end*****************************/

/***the*story*so*far***********************

1.2.0 (2003-04-05)
[+] nowa zmienna $blog_url
[*] zmiana znaczenia zmiennych $styl_... - moga zawierac "style =" lub "class =" lub "id =" jak wolisz

1.1.0 (2002-09-09)
[*] zmiana HTML na XHTML

1.0.0 (2002-06-04)
[!] premiera

******************************************/

// about:plugin

$plugin_nazwa = "archiwum.tabela";
$plugin_numer = "1.2.0";
$plugin_autor = "MiMaS";
$plugin_email = "plugins@mimas.ceti.pl";
$plugin_www = "http://mimas.ceti.pl/plugins/";
$plugin_opis = "Plugin umoliwiajcy prezentacj archiwum niByLoga w postaci tabeli. Kolumny tabeli przedstawiaj kolejne lata a wiersze miesice. Przy kadym miesicu pokazana jest rwnie ilo wpisw wykonanych w tym okresie.";


set_time_limit(0);
$start_time = time();

$blog = CzytajWpisy("ADMIN","nibylog");
$blog_count = count($blog);
if ( $blog[$blog_count] == "" ) $blog_count--;

if ( $kolejnosc_miesiecy < 0 )
  $kolejnosc_miesiecy = $config["cfg_archiwum_sort"];
if ( $kolejnosc_miesiecy == 1 )
  rsort($blog, SORT_NUMERIC);
else
  sort($blog, SORT_NUMERIC);

$rok = -1;
$miesiac = -1;
$kolumna = -1;

$kolumny = array( array( "","","","","","","","","","","","" ) );
$naglowki = array();
$wpisy_w_miesiacu = array();

$miesiac_name = array( "","stycze","luty","marzec","kwiecie","maj","czerwiec","lipiec","sierpie","wrzesie","padziernik","listopad","grudzie" );

for ( $i = 0; $i <= $blog_count; $i++ )
{
  $wpis = split( "\t", $blog[$i] );

  if ( $rok != date("Y",$wpis[0]) )
  { // nowy rok
    $rok = date("Y",$wpis[0]);
    $kolumna++;
    $kolumny[$kolumna] = array( "","","","","","","","","","","","" );
    $naglowki[] = $rok;
  }
  if ( $miesiac != date("Y/m",$wpis[0]) )
  { // nowy miesiac
    $miesiac = date("Y/m",$wpis[0]);
    $kolumny[$kolumna][intval(date("m",$wpis[0]))-1] = $miesiac;
    $wpisy_w_miesiacu[$miesiac] = 0;
  }
  $wpisy_w_miesiacu[$miesiac]++;
}

WstawSzablon('blog_head');
WstawSzablon('blog_archiwumhead');

echo( '<table border="0" cellspacing="0" cellpadding="0"><tr><td '.$styl_td_ramka.'>' );
echo( '<table border="0" cellspacing="'.$table_border.'" cellpadding="2">' );
echo( '<tr><td '.$styl_td_header.' colspan="'.intval(($kolumna+1)*2).'">&nbsp;archiwum&nbsp;wpisw&nbsp;</td></tr><tr>' );

for ( $d = 0; $d <= $kolumna; $d++ ) echo( '<td '.$styl_td_header.' colspan="2">&nbsp;rok&nbsp;'.$naglowki[$d].'&nbsp;</td>' );
echo( '</tr>' );
for ( $r = 0; $r < 12; $r++ )
{
  echo( '<tr align="center">' );
  for ( $d = 0; $d <= $kolumna; $d++ )
  {
    if ( $kolumny[$d][$r] <> "" )
      printf( '<td '.$styl_td_normal.'><a '.$styl_a.' href="'.$blog_url."?miesiac=%s\">&nbsp;%s&nbsp;</a><br /></td><td ".$styl_td_licznik.'>&nbsp;%02d&nbsp;</td>',
             $kolumny[$d][$r], $miesiac_name[intval($r+1)], $wpisy_w_miesiacu[$kolumny[$d][$r]] );
    else
      echo( '<td '.$styl_td_normal.'>&nbsp;<br /></td><td '.$styl_td_licznik.'>&nbsp;<br /></td>' );
  }
  echo( "</tr>\n" );
}

echo( '</table>' );
echo( '</td></tr></table>' );
echo( '<br />' );
echo( '<div '.$styl_div_info.' align="center"><a '.$styl_div_info.' href="http://mimas.ceti.pl/plugins/" target="_blank">niByLog.Archiwum.Tabela plugin '.$plugin_numer.' &copy; MiMaS</a></div>' );

WstawSzablon('blog_archiwumfoot');
WstawSzablon('blog_foot');
?>

<!-- niByLog.archiwum.tabela plugin -->
